Package org.eclipse.ecf.provider.zookeeper.core

# Class DiscoverdService

java.lang.Object
org.eclipse.ecf.discovery.ServiceInfo
org.eclipse.ecf.provider.zookeeper.core.DiscoverdService

All Implemented Interfaces:
  `Serializable`, `org.eclipse.core.runtime.IAdaptable`, `IServiceInfo`, `org.eclipse.ecf.provider.zookeeper.core.internal.IService`, `org.eclipse.ecf.provider.zookeeper.node.internal.INode`

public class DiscoverdService extends ServiceInfo implements org.eclipse.ecf.provider.zookeeper.core.internal.IService, org.eclipse.ecf.provider.zookeeper.node.internal.INode

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.ecf.discovery.ServiceInfo

`DEFAULT_PRIORITY, DEFAULT_TTL, DEFAULT_WEIGHT, priority, properties, serviceID, serviceName, timeToLive, UNKNOWN_PROTOCOL, weight`

### Fields inherited from interface org.eclipse.ecf.provider.zookeeper.node.internal.INode

`_BYTES_, _URI_, _ZOODISCOVERYID_, ID_POSITION, NODE_PROPERTY_NAME_NA, NODE_PROPERTY_NAME_PROTOCOLS, NODE_PROPERTY_NAME_SCOPE, NODE_PROPERTY_SERVICE_NAME, NODE_PROPERTY_SERVICES, NODE_SERVICE_PROPERTIES, ROOT, ROOT_SLASH, SLASH, STRING_DELIM, URI_POSITION, ZOODISCOVERYID_POSITION`

### Fields inherited from interface org.eclipse.ecf.provider.zookeeper.core.internal.IService

`LOCATION, PRIORITY, PROTOCOLS, SERVICE_NAME, WEIGHT`

## Constructor Summary

Constructors
Constructor
Description
`DiscoverdService(String path, Map<String,Object> serviceData)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`
`void`
`dispose()`
`String`
`getAbsolutePath()`
`String`
`getName()`
`Namespace`
`getNamespace()`
`String`
`getNodeId()`
`String`
`getPath()`
`byte[]`
`getPropertiesAsBytes()`
The byte representation of the service properties, appropriate to be stored in the zooKeeper node
`org.eclipse.ecf.provider.zookeeper.core.internal.IService`
`getWrappedService()`
`boolean`
`isLocalNode()`
`void`
`regenerateNodeId()`
`String`
`toExternalForm()`

### Methods inherited from class org.eclipse.ecf.discovery.ServiceInfo

`getAdapter, getLocation, getPriority, getServiceID, getServiceName, getServiceProperties, getTTL, getWeight, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ecf.discovery.IServiceInfo

`getLocation, getPriority, getServiceID, getServiceName, getServiceProperties, getTTL, getWeight`

## Constructor Details

### DiscoverdService

public DiscoverdService(String path, Map<String,Object> serviceData)

## Method Details

### dispose

public void dispose()

### getNodeId

public String getNodeId()

### regenerateNodeId

public void regenerateNodeId()

Specified by:
  `regenerateNodeId` in interface `org.eclipse.ecf.provider.zookeeper.node.internal.INode`

### getName

public String getName()

### getNamespace

public Namespace getNamespace()

### toExternalForm

public String toExternalForm()

### compareTo

public int compareTo(Object o)

### getPropertiesAsBytes

public byte[] getPropertiesAsBytes()
Description copied from interface: `org.eclipse.ecf.provider.zookeeper.core.internal.IService`
The byte representation of the service properties, appropriate to be stored in the zooKeeper node

Specified by:
  `getPropertiesAsBytes` in interface `org.eclipse.ecf.provider.zookeeper.core.internal.IService`
Returns:
  byte representation of the properties

### getPath

public String getPath()

Specified by:
  `getPath` in interface `org.eclipse.ecf.provider.zookeeper.node.internal.INode`

### getAbsolutePath

public String getAbsolutePath()

Specified by:
  `getAbsolutePath` in interface `org.eclipse.ecf.provider.zookeeper.node.internal.INode`

### isLocalNode

public boolean isLocalNode()

Specified by:
  `isLocalNode` in interface `org.eclipse.ecf.provider.zookeeper.node.internal.INode`

### getWrappedService

public org.eclipse.ecf.provider.zookeeper.core.internal.IService getWrappedService()

Specified by:
  `getWrappedService` in interface `org.eclipse.ecf.provider.zookeeper.node.internal.INode`